@font-face {
    font-family: Pismo;
    src: url(Fonts/CabinSketch-Regular.ttf);
}

*
{
    font-family: Pismo;
    color: white;
}

::selection
{
    background-color: rgb(201, 40, 164);
    color: white;
}


body
{
    background-image: url(backg.png);
    background-size: cover;
    background-repeat: no-repeat;  
    background-position: center;   
     background-attachment: fixed; 
    backdrop-filter: blur(10px);

    animation: blureffect 0.5s;
    transition: 0.5s;
    margin: 0;
}

div
{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

form
{
    border: 4px solid rgb(176, 97, 181);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    padding: 6%;
    padding-top: 0;

    background-color: rgba(41, 14, 44, 0.768);
    backdrop-filter: blur(8px);

    padding-bottom: 4%;
}

input[type="text"],input[type="password"],input[type="email"]
{
    padding: 10px;
    font-size: 20px;
    margin-bottom: 30px;

    border: 2px solid rgb(176, 97, 181);
    border-top: none;
    border-left: none;
    border-right: none;

    width: 110%;
    align-self: center;
    transition: 0.5s;

    outline: none;
    background: transparent;
}

input[type="checkbox"]
{
    position: relative;
    height: 28px;
    width: 28px;
    border: 3px solid rgb(176, 97, 181);
    border-radius: .25em;
    appearance: none;
    cursor: pointer;
}

input[type="checkbox"]::before
{
    content: '';
    position: absolute;
    top: 2px;
    left: 7px;
    width: 5px;
    height: 13px;
    border: 4px solid transparent;
    border-left: none;
    border-top: none;
    transform: rotate(45deg) scale(1);
}

input[type="checkbox"]:checked::before{
    border-color:  rgb(176, 97, 181);  
}


input[type="text"]:focus-within,input[type="password"]:focus-within,input[type="email"]:focus-within
{
    border-bottom: 2px solid rgb(255, 255, 255);
}

form h2
{
    font-size: 40px;
    text-align: center;
    color: white;
    margin-top: 60px;
    margin-bottom: 60px;
}

#Privacy
{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    margin-bottom: 10px;
}

button
{
   padding: 10px;
   font-size: 20px;
   text-align: center;
   background-color: rgb(244, 3, 228);
   border: 2px solid white;
   align-self: center;

   border-radius: 7px;
   width: 100%;
   transition: 0.5s;
}

button:hover
{
    scale: 1.05;
    cursor: pointer;
}

a
{
    text-decoration: none;
    color: rgb(255, 122, 233);
}

a,p
{
    font-size: 18px;
    text-align: center;
}

#WARNING
{
    color: rgb(255, 0, 102);
    font-size: 17px;
    margin-bottom: 0;
}

@media (max-width: 600px)
{
   form
   {
     padding: 10%;
     width: 60%;
     height: 530px;
     padding-top: 0;
     padding-bottom: 10px;
   }

   form h2
   {
      margin-top: 40px;
      margin-bottom: 40px;
      font-size: 35px;
   }

   input[type="text"],input[type="password"],input[type="email"]
    {
        width: 90%;
        font-size: 18px;
        margin-bottom: 15px;
    }


    button
    {
        width: 70%;
        font-size: 17px;
        align-self: center;
    }

    form p,a
    {
        font-size: 11px;
    }

    #WARNING
    {
        font-size: 15px;
    }
}

@media (min-width: 600px) and (max-width: 1025px)
{
   form
   {
     padding: 10%;
     width: 400px;
     height: 800px;
     padding-top: 0;
     padding-bottom: 0;

     align-items: center;
     justify-content: center;
   }

   form h2
   {
    margin-top: 0;
      font-size: 50px;
   }

   input[type="text"],input[type="password"],input[type="email"]
    {
        width: 110%;
        font-size: 25px;
        margin-bottom: 30px;
    }

    button
    {
        width: 70%;
        font-size: 23px;
        align-self: center;
    }

    form p,a
    {
        font-size: 21px;
    }

    #WARNING
    {
        font-size: 23px;
    }
}

@keyframes blureffect {
    from{backdrop-filter: blur(2px);}
    to{backdrop-filter: blur(10px);}
}

 
 
    
